export function componentDidMount() {
  didMountSwitchLatLng(this, false)
}

export function didMountSwitchLatLng(self, switchLatLng=false) {
  self.createRandomMarkers(switchLatLng);
  self.setState({startTime: performance.now()});
  if(self.state.moveMarkers){
    self.timer = setInterval(() => {
      self.setState({currStep: self.state.currStep + 1});
      self.calcMarkerPosition()
    }, self.state.interval);
  }
}

export function componentDidUpdate() {
  if(this.state.currStep===this.state.noOfSteps){
    let endTime = performance.now();
    let duration = endTime - this.state.startTime
    let msg = "Duration " + duration.toFixed(3) + " for " + this.state.noOfSteps + " steps"
    console.log(msg)
    this.markerInfoDiv.current.innerHTML = msg
    this.setState({currStep: this.state.currStep + 1});
  }
}

export function componentWillUnmount() {
  clearInterval(this.timer);
}